View Issue Details

IDProjectCategoryView StatusLast Update
0002448Industrial-Craft²machinespublic2018-11-22 18:43
ReporterTheBlueCreeper78Assigned ToChocohead 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002448: Weighted Fluid Distributors crash the game when trying to set their priority
DescriptionWeighted Fluid Distributors crash the game when trying to set their priority. Every time I've tested, there was always fluid in the machine's internal storage, though this might not mean anything. I also have only tested trying to set the highest priority to east.

IC2 version: industrialcraft-2-2.8.103-ex112 (from mod file name)
Forge version: 1.12.2-forge1.12.2-14.23.1.2582

Other mods: IC2, MrCrayfish's Furniture Mod, Buildcraft, JEI, Optifine, Damage Indicators

Crash report should be in files section, I'll put it here too:

---- Minecraft Crash Report ----

WARNING: coremods are present:
Contact their authors BEFORE contacting forge

// You're mean.

Time: 11/20/18 3:25 PM
Description: Ticking block entity

java.lang.ClassCastException: java.lang.Integer cannot be cast to net.minecraft.util.EnumFacing
    at ic2.core.block.machine.tileentity.TileEntityWeightedFluidDistributor.moveFluid(TileEntityWeightedFluidDistributor.java:81)
    at ic2.core.block.machine.tileentity.TileEntityFluidDistributor.updateEntityServer(TileEntityFluidDistributor.java:83)
    at ic2.core.block.TileEntityBlock.func_73660_a(TileEntityBlock.java:326)
    at net.minecraft.world.World.func_72939_s(World.java:1832)
    at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:612)
    at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:765)
    at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:666)
    at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:252)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:524)
    at java.lang.Thread.run(Thread.java:745)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Server thread
Stacktrace:
    at ic2.core.block.machine.tileentity.TileEntityWeightedFluidDistributor.moveFluid(TileEntityWeightedFluidDistributor.java:81)
    at ic2.core.block.machine.tileentity.TileEntityFluidDistributor.updateEntityServer(TileEntityFluidDistributor.java:83)
    at ic2.core.block.TileEntityBlock.func_73660_a(TileEntityBlock.java:326)

-- Block entity being ticked --
Details:
    Name: ic2:weighted_fluid_distributor // ic2.core.block.machine.tileentity.TileEntityWeightedFluidDistributor
    Block type: ID 0000253 (ic2.te // ic2.core.block.BlockTileEntity)
    Block data value: 0 / 0x0 / 0b0000
    Block location: World: (216,62,62), Chunk: (at 8,3,14 in 13,3; contains blocks 208,0,48 to 223,255,63), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
    Actual block type: ID 0000253 (ic2.te // ic2.core.block.BlockTileEntity)
    Actual block data value: 0 / 0x0 / 0b0000
Stacktrace:
    at net.minecraft.world.World.func_72939_s(World.java:1832)
    at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:612)

-- Affected level --
Details:
    Level name: Tech Modpack Survivial [1.12.2]
    All players: 1 total; [EntityPlayerMP['TheBlueCreeper78'/230, l='Tech Modpack Survivial [1.12.2]', x=215.08, y=62.00, z=62.82]]
    Chunk stats: ServerChunkCache: 841 Drop: 0
    Level seed: -1238188587297968557
    Level generator: ID 04 - customized, ver 0. Features enabled: true
    Level generator options: {"coordinateScale":684.412,"heightScale":684.412,"lowerLimitScale":512.0,"upperLimitScale":512.0,"depthNoiseScaleX":200.0,"depthNoiseScaleZ":200.0,"depthNoiseScaleExponent":0.5,"mainNoiseScaleX":80.0,"mainNoiseScaleY":160.0,"mainNoiseScaleZ":80.0,"baseSize":8.5,"stretchY":12.0,"biomeDepthWeight":1.0,"biomeDepthOffset":0.0,"biomeScaleWeight":1.0,"biomeScaleOffset":0.0,"seaLevel":63,"useCaves":true,"useDungeons":true,"dungeonChance":16,"useStrongholds":true,"useVillages":true,"useMineShafts":true,"useTemples":true,"useMonuments":true,"useMansions":true,"useRavines":true,"useWaterLakes":true,"waterLakeChance":11,"useLavaLakes":true,"lavaLakeChance":80,"useLavaOceans":false,"fixedBiome":-1,"biomeSize":2,"riverSize":4,"dirtSize":26,"dirtCount":10,"dirtMinHeight":0,"dirtMaxHeight":256,"gravelSize":26,"gravelCount":8,"gravelMinHeight":0,"gravelMaxHeight":256,"graniteSize":26,"graniteCount":10,"graniteMinHeight":0,"graniteMaxHeight":80,"dioriteSize":26,"dioriteCount":10,"dioriteMinHeight":0,"dioriteMaxHeight":80,"andesiteSize":26,"andesiteCount":10,"andesiteMinHeight":0,"andesiteMaxHeight":80,"coalSize":17,"coalCount":25,"coalMinHeight":0,"coalMaxHeight":128,"ironSize":14,"ironCount":22,"ironMinHeight":0,"ironMaxHeight":64,"goldSize":9,"goldCount":6,"goldMinHeight":0,"goldMaxHeight":48,"redstoneSize":14,"redstoneCount":14,"redstoneMinHeight":0,"redstoneMaxHeight":48,"diamondSize":10,"diamondCount":4,"diamondMinHeight":0,"diamondMaxHeight":32,"lapisSize":10,"lapisCount":10,"lapisCenterHeight":16,"lapisSpread":16}
    Level spawn location: World: (196,64,101), Chunk: (at 4,4,5 in 12,6; contains blocks 192,0,96 to 207,255,111), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
    Level time: 2478405 game time, 39500 day time
    Level dimension: 0
    Level storage version: 0x04ABD - Anvil
    Level weather: Rain time: 40337 (now: false), thunder time: 39972 (now: false)
    Level game mode: Game mode: creative (ID 1). Hardcore: false. Cheats: true
Stacktrace:
    at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:765)
    at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:666)
    at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:252)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:524)
    at java.lang.Thread.run(Thread.java:745)

-- System Details --
Details:
    Minecraft Version: 1.12.2
    Operating System: Mac OS X (x86_64) version 10.11.6
    Java Version: 1.8.0_74, Oracle Corporation
    Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
    Memory: 573058336 bytes (546 MB) / 2147483648 bytes (2048 MB) up to 2147483648 bytes (2048 MB)
    JVM Flags: 7 total; -Xmx2G -XX:+UnlockExperimentalVMOptions -XX:+UseG1GC -XX:G1NewSizePercent=20 -XX:G1ReservePercent=20 -XX:MaxGCPauseMillis=50 -XX:G1HeapRegionSize=32M
    IntCache: cache: 0, tcache: 0, allocated: 16, tallocated: 88
    FML: MCP 9.42 Powered by Forge 14.23.1.2582 Optifine OptiFine_1.12.2_HD_U_C8 17 mods loaded, 17 mods active
    States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored

    | State | ID | Version | Source | Signature |
    |:--------- |:------------------- |:------------- |:----------------------------------- |:---------------------------------------- |
    | UCHIJAAAA | minecraft | 1.12.2 | minecraft.jar | None |
    | UCHIJAAAA | mcp | 9.42 | minecraft.jar | None |
    | UCHIJAAAA | FML | 8.0.99.99 | forge-1.12.2-14.23.1.2582.jar | e3c3d50c7c986df74c645c0ac54639741c90a557 |
    | UCHIJAAAA | forge | 14.23.1.2582 | forge-1.12.2-14.23.1.2582.jar | e3c3d50c7c986df74c645c0ac54639741c90a557 |
    | UCHIJAAAA | mercurius_updater | 1.0 | MercuriusUpdater-1.12.2.jar | None |
    | UCHIJAAAA | buildcraftlib | 7.99.19 | buildcraft-7.99.19.jar | None |
    | UCHIJAAAA | buildcraftcore | 7.99.19 | buildcraft-7.99.19.jar | None |
    | UCHIJAAAA | buildcraftbuilders | 7.99.19 | buildcraft-7.99.19.jar | None |
    | UCHIJAAAA | buildcraftenergy | 7.99.19 | buildcraft-7.99.19.jar | None |
    | UCHIJAAAA | buildcraftfactory | 7.99.19 | buildcraft-7.99.19.jar | None |
    | UCHIJAAAA | buildcraftrobotics | 7.99.19 | buildcraft-7.99.19.jar | None |
    | UCHIJAAAA | buildcrafttransport | 7.99.19 | buildcraft-7.99.19.jar | None |
    | UCHIJAAAA | buildcraftsilicon | 7.99.19 | buildcraft-7.99.19.jar | None |
    | UCHIJAAAA | cfm | 5.17.0 | cfm-5.17.0-mc1.12.2.jar | None |
    | UCHIJAAAA | torohealthmod | 1.12.2-11 | Damage-Indicators-1.12.2.jar | None |
    | UCHIJAAAA | ic2 | 2.8.103-ex112 | industrialcraft-2-2.8.103-ex112.jar | de041f9f6187debbc77034a344134053277aa3b0 |
    | UCHIJAAAA | jei | 4.8.5.144 | jei_1.12.2-4.8.5.144.jar | None |

    Loaded coremods (and transformers):
    Profiler Position: N/A (disabled)
    Player Count: 1 / 8; [EntityPlayerMP['TheBlueCreeper78'/230, l='Tech Modpack Survivial [1.12.2]', x=215.08, y=62.00, z=62.82]]
    Type: Integrated Server (map_client.txt)
    Is Modded: Definitely; Client brand changed to 'fml,forge'
    OptiFine Version: OptiFine_1.12.2_HD_U_C8
    Render Distance Chunks: 14
    Mipmaps: 4
    Anisotropic Filtering: 1
    Antialiasing: 0
    Multitexture: false
    Shaders: SEUS.zip
    OpenGlVersion: 2.1 ATI-1.42.15
    OpenGlRenderer: AMD Radeon R9 M395 OpenGL Engine
    OpenGlVendor: ATI Technologies Inc.
    CpuCount: 4
Steps To ReproducePlace down a Weighted Fluid Distributor.

Set the top priority to a direction of choice.

The game should crash.
TagsNo tags attached.
Minecraft Version1.12.2

Activities

TheBlueCreeper78

2018-11-20 23:51

reporter  

crash-2018-11-20_15.25.02-server.txt (9,055 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
Contact their authors BEFORE contacting forge

// You're mean.

Time: 11/20/18 3:25 PM
Description: Ticking block entity

java.lang.ClassCastException: java.lang.Integer cannot be cast to net.minecraft.util.EnumFacing
	at ic2.core.block.machine.tileentity.TileEntityWeightedFluidDistributor.moveFluid(TileEntityWeightedFluidDistributor.java:81)
	at ic2.core.block.machine.tileentity.TileEntityFluidDistributor.updateEntityServer(TileEntityFluidDistributor.java:83)
	at ic2.core.block.TileEntityBlock.func_73660_a(TileEntityBlock.java:326)
	at net.minecraft.world.World.func_72939_s(World.java:1832)
	at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:612)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:765)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:666)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:252)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:524)
	at java.lang.Thread.run(Thread.java:745)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Server thread
Stacktrace:
	at ic2.core.block.machine.tileentity.TileEntityWeightedFluidDistributor.moveFluid(TileEntityWeightedFluidDistributor.java:81)
	at ic2.core.block.machine.tileentity.TileEntityFluidDistributor.updateEntityServer(TileEntityFluidDistributor.java:83)
	at ic2.core.block.TileEntityBlock.func_73660_a(TileEntityBlock.java:326)

-- Block entity being ticked --
Details:
	Name: ic2:weighted_fluid_distributor // ic2.core.block.machine.tileentity.TileEntityWeightedFluidDistributor
	Block type: ID #253 (ic2.te // ic2.core.block.BlockTileEntity)
	Block data value: 0 / 0x0 / 0b0000
	Block location: World: (216,62,62), Chunk: (at 8,3,14 in 13,3; contains blocks 208,0,48 to 223,255,63), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
	Actual block type: ID #253 (ic2.te // ic2.core.block.BlockTileEntity)
	Actual block data value: 0 / 0x0 / 0b0000
Stacktrace:
	at net.minecraft.world.World.func_72939_s(World.java:1832)
	at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:612)

-- Affected level --
Details:
	Level name: Tech Modpack Survivial [1.12.2]
	All players: 1 total; [EntityPlayerMP['TheBlueCreeper78'/230, l='Tech Modpack Survivial [1.12.2]', x=215.08, y=62.00, z=62.82]]
	Chunk stats: ServerChunkCache: 841 Drop: 0
	Level seed: -1238188587297968557
	Level generator: ID 04 - customized, ver 0. Features enabled: true
	Level generator options: {"coordinateScale":684.412,"heightScale":684.412,"lowerLimitScale":512.0,"upperLimitScale":512.0,"depthNoiseScaleX":200.0,"depthNoiseScaleZ":200.0,"depthNoiseScaleExponent":0.5,"mainNoiseScaleX":80.0,"mainNoiseScaleY":160.0,"mainNoiseScaleZ":80.0,"baseSize":8.5,"stretchY":12.0,"biomeDepthWeight":1.0,"biomeDepthOffset":0.0,"biomeScaleWeight":1.0,"biomeScaleOffset":0.0,"seaLevel":63,"useCaves":true,"useDungeons":true,"dungeonChance":16,"useStrongholds":true,"useVillages":true,"useMineShafts":true,"useTemples":true,"useMonuments":true,"useMansions":true,"useRavines":true,"useWaterLakes":true,"waterLakeChance":11,"useLavaLakes":true,"lavaLakeChance":80,"useLavaOceans":false,"fixedBiome":-1,"biomeSize":2,"riverSize":4,"dirtSize":26,"dirtCount":10,"dirtMinHeight":0,"dirtMaxHeight":256,"gravelSize":26,"gravelCount":8,"gravelMinHeight":0,"gravelMaxHeight":256,"graniteSize":26,"graniteCount":10,"graniteMinHeight":0,"graniteMaxHeight":80,"dioriteSize":26,"dioriteCount":10,"dioriteMinHeight":0,"dioriteMaxHeight":80,"andesiteSize":26,"andesiteCount":10,"andesiteMinHeight":0,"andesiteMaxHeight":80,"coalSize":17,"coalCount":25,"coalMinHeight":0,"coalMaxHeight":128,"ironSize":14,"ironCount":22,"ironMinHeight":0,"ironMaxHeight":64,"goldSize":9,"goldCount":6,"goldMinHeight":0,"goldMaxHeight":48,"redstoneSize":14,"redstoneCount":14,"redstoneMinHeight":0,"redstoneMaxHeight":48,"diamondSize":10,"diamondCount":4,"diamondMinHeight":0,"diamondMaxHeight":32,"lapisSize":10,"lapisCount":10,"lapisCenterHeight":16,"lapisSpread":16}
	Level spawn location: World: (196,64,101), Chunk: (at 4,4,5 in 12,6; contains blocks 192,0,96 to 207,255,111), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
	Level time: 2478405 game time, 39500 day time
	Level dimension: 0
	Level storage version: 0x04ABD - Anvil
	Level weather: Rain time: 40337 (now: false), thunder time: 39972 (now: false)
	Level game mode: Game mode: creative (ID 1). Hardcore: false. Cheats: true
Stacktrace:
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:765)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:666)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:252)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:524)
	at java.lang.Thread.run(Thread.java:745)

-- System Details --
Details:
	Minecraft Version: 1.12.2
	Operating System: Mac OS X (x86_64) version 10.11.6
	Java Version: 1.8.0_74, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 573058336 bytes (546 MB) / 2147483648 bytes (2048 MB) up to 2147483648 bytes (2048 MB)
	JVM Flags: 7 total; -Xmx2G -XX:+UnlockExperimentalVMOptions -XX:+UseG1GC -XX:G1NewSizePercent=20 -XX:G1ReservePercent=20 -XX:MaxGCPauseMillis=50 -XX:G1HeapRegionSize=32M
	IntCache: cache: 0, tcache: 0, allocated: 16, tallocated: 88
	FML: MCP 9.42 Powered by Forge 14.23.1.2582 Optifine OptiFine_1.12.2_HD_U_C8 17 mods loaded, 17 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored

	| State     | ID                  | Version       | Source                              | Signature                                |
	|:--------- |:------------------- |:------------- |:----------------------------------- |:---------------------------------------- |
	| UCHIJAAAA | minecraft           | 1.12.2        | minecraft.jar                       | None                                     |
	| UCHIJAAAA | mcp                 | 9.42          | minecraft.jar                       | None                                     |
	| UCHIJAAAA | FML                 | 8.0.99.99     | forge-1.12.2-14.23.1.2582.jar       | e3c3d50c7c986df74c645c0ac54639741c90a557 |
	| UCHIJAAAA | forge               | 14.23.1.2582  | forge-1.12.2-14.23.1.2582.jar       | e3c3d50c7c986df74c645c0ac54639741c90a557 |
	| UCHIJAAAA | mercurius_updater   | 1.0           | MercuriusUpdater-1.12.2.jar         | None                                     |
	| UCHIJAAAA | buildcraftlib       | 7.99.19       | buildcraft-7.99.19.jar              | None                                     |
	| UCHIJAAAA | buildcraftcore      | 7.99.19       | buildcraft-7.99.19.jar              | None                                     |
	| UCHIJAAAA | buildcraftbuilders  | 7.99.19       | buildcraft-7.99.19.jar              | None                                     |
	| UCHIJAAAA | buildcraftenergy    | 7.99.19       | buildcraft-7.99.19.jar              | None                                     |
	| UCHIJAAAA | buildcraftfactory   | 7.99.19       | buildcraft-7.99.19.jar              | None                                     |
	| UCHIJAAAA | buildcraftrobotics  | 7.99.19       | buildcraft-7.99.19.jar              | None                                     |
	| UCHIJAAAA | buildcrafttransport | 7.99.19       | buildcraft-7.99.19.jar              | None                                     |
	| UCHIJAAAA | buildcraftsilicon   | 7.99.19       | buildcraft-7.99.19.jar              | None                                     |
	| UCHIJAAAA | cfm                 | 5.17.0        | cfm-5.17.0-mc1.12.2.jar             | None                                     |
	| UCHIJAAAA | torohealthmod       | 1.12.2-11     | Damage-Indicators-1.12.2.jar        | None                                     |
	| UCHIJAAAA | ic2                 | 2.8.103-ex112 | industrialcraft-2-2.8.103-ex112.jar | de041f9f6187debbc77034a344134053277aa3b0 |
	| UCHIJAAAA | jei                 | 4.8.5.144     | jei_1.12.2-4.8.5.144.jar            | None                                     |

	Loaded coremods (and transformers): 
	Profiler Position: N/A (disabled)
	Player Count: 1 / 8; [EntityPlayerMP['TheBlueCreeper78'/230, l='Tech Modpack Survivial [1.12.2]', x=215.08, y=62.00, z=62.82]]
	Type: Integrated Server (map_client.txt)
	Is Modded: Definitely; Client brand changed to 'fml,forge'
	OptiFine Version: OptiFine_1.12.2_HD_U_C8
	Render Distance Chunks: 14
	Mipmaps: 4
	Anisotropic Filtering: 1
	Antialiasing: 0
	Multitexture: false
	Shaders: SEUS.zip
	OpenGlVersion: 2.1 ATI-1.42.15
	OpenGlRenderer: AMD Radeon R9 M395 OpenGL Engine
	OpenGlVendor: ATI Technologies Inc.
	CpuCount: 4

Chocohead

2018-11-21 00:12

developer   ~0005826

Looks like I broke some of the enum networking logic

Chocohead

2018-11-22 18:43

developer   ~0005831

Fixed in IC2 2.8.104

Issue History

Date Modified Username Field Change
2018-11-20 23:51 TheBlueCreeper78 New Issue
2018-11-20 23:51 TheBlueCreeper78 File Added: crash-2018-11-20_15.25.02-server.txt
2018-11-21 00:12 Chocohead Assigned To => Chocohead
2018-11-21 00:12 Chocohead Status new => acknowledged
2018-11-21 00:12 Chocohead Note Added: 0005826
2018-11-22 18:43 Chocohead Status acknowledged => resolved
2018-11-22 18:43 Chocohead Resolution open => fixed
2018-11-22 18:43 Chocohead Fixed in Version => Builds for MC 1.12.x
2018-11-22 18:43 Chocohead Note Added: 0005831